Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Unbounded_Set_Const_Iterator Class Template Reference

Implement an const iterator over an unbounded set. More...

`#include <Unbounded_Set.h>`

Collaboration diagram for ACE_Unbounded_Set_Const_Iterator:

[legend]
List of all members.

## Public Methods
| ACE_Unbounded_Set_Const_Iterator (const ACE_Unbounded_Set< T > &s, int end=0)
int | next (T *&next_item)
| Pass back the <next_item> that hasn't been seen in the Set. Returns 0 when all items have been seen, else 1. More...
int | advance (void)
| Move forward by one element in the set. Returns 0 when all the items in the set have been seen, else 1. More...
int | first (void)
| Move to the first element in the set. Returns 0 if the set is empty, else 1. More...
int | done (void) const
| Returns 1 when all items have been seen, else 0. More...
void | dump (void) const
| Dump the state of an object. More...
ACE_Unbounded_Set_Const_Iterator< T > | operator++ (int)
| Postfix advance. More...
ACE_Unbounded_Set_Const_Iterator< T > & | operator++ (void)
| Prefix advance. More...
T & | operator * (void)
| Returns a reference to the internal element <this> is pointing to. More...
int | operator== (const ACE_Unbounded_Set_Const_Iterator< T > &) const
| Check if two iterators point to the same position. More...
int | operator!= (const ACE_Unbounded_Set_Const_Iterator< T > &) const
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks. More...
## Private Attributes
ACE_Node< T > * | current_
| Pointer to the current node in the iteration. More...
const ACE_Unbounded_Set< T > * | set_
| Pointer to the set we're iterating over. More...

## Detailed Description

### template<class T>
class ACE_Unbounded_Set_Const_Iterator< T >

Implement an const iterator over an unbounded set.

## Constructor & Destructor Documentation

template<class T>
ACE_Unbounded_Set_Const_Iterator< T >::ACE_Unbounded_Set_Const_Iterator | ( | const ACE_Unbounded_Set< T > & | s,
|  | int | end = 0
| ) |

## Member Function Documentation

template<class T>
int ACE_Unbounded_Set_Const_Iterator< T >::advance | ( | void |  | ) |

| Move forward by one element in the set. Returns 0 when all the items in the set have been seen, else 1.

template<class T>
int ACE_Unbounded_Set_Const_Iterator< T >::done | ( | void |  | ) | const

| Returns 1 when all items have been seen, else 0.

template<class T>
void ACE_Unbounded_Set_Const_Iterator< T >::dump | ( | void |  | ) | const

| Dump the state of an object.

template<class T>
int ACE_Unbounded_Set_Const_Iterator< T >::first | ( | void |  | ) |

| Move to the first element in the set. Returns 0 if the set is empty, else 1.

template<class T>
int ACE_Unbounded_Set_Const_Iterator< T >::next | ( | T *& | item | ) |

| Pass back the <next_item> that hasn't been seen in the Set. Returns 0 when all items have been seen, else 1.

template<class T>
T & ACE_Unbounded_Set_Const_Iterator< T >::operator * | ( | void |  | ) |

| Returns a reference to the internal element <this> is pointing to.

template<class T>
int ACE_Unbounded_Set_Const_Iterator< T >::operator!= | ( | const ACE_Unbounded_Set_Const_Iterator< T > & |  | ) | const

template<class T>
ACE_Unbounded_Set_Const_Iterator< T > & ACE_Unbounded_Set_Const_Iterator< T >::operator++ | ( | void |  | ) |

| Prefix advance.

template<class T>
ACE_Unbounded_Set_Const_Iterator< T > ACE_Unbounded_Set_Const_Iterator< T >::operator++ | ( | int |  | ) |

| Postfix advance.

template<class T>
int ACE_Unbounded_Set_Const_Iterator< T >::operator== | ( | const ACE_Unbounded_Set_Const_Iterator< T > & |  | ) | const

| Check if two iterators point to the same position.

## Member Data Documentation

template<class T>
ACE_Unbounded_Set_Const_Iterator::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

template<class T>
ACE_Node<T>* ACE_Unbounded_Set_Const_Iterator::current_`[private]`

| Pointer to the current node in the iteration.

template<class T>
const ACE_Unbounded_Set<T>* ACE_Unbounded_Set_Const_Iterator::set_`[private]`

| Pointer to the set we're iterating over.

The documentation for this class was generated from the following files:

- Unbounded_Set.h
- Unbounded_Set.cpp